Irrlicht Engine: irr::video::SMaterialLayer Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::video::SMaterialLayer Class Reference

Struct for holding material parameters which exist per texture layer. More...

`#include <SMaterialLayer.h>`

List of all members.

## Public Member Functions
const core::matrix4 & | getTextureMatrix () const
| Gets the immutable texture transformation matrix.
core::matrix4 & | getTextureMatrix ()
| Gets the texture transformation matrix.
bool | operator!= (const SMaterialLayer &b) const
| Inequality operator.
SMaterialLayer & | operator= (const SMaterialLayer &other)
| Assignment operator.
bool | operator== (const SMaterialLayer &b) const
| Equality operator.
void | setTextureMatrix (const core::matrix4 &mat)
| Sets the texture transformation matrix to mat.
| SMaterialLayer (const SMaterialLayer &other)
| Copy constructor.
| SMaterialLayer ()
| Default constructor.
| ~SMaterialLayer ()
| Destructor.
## Public Attributes
u8 | AnisotropicFilter
| Is anisotropic filtering enabled? Default: 0, disabled.
bool | BilinearFilter:1
| Is bilinear filtering enabled? Default: true.
s8 | LODBias
| Bias for the mipmap choosing decision.
ITexture * | Texture
| Texture.
u8 | TextureWrapU:4
| Texture Clamp Mode.
u8 | TextureWrapV:4
bool | TrilinearFilter:1
| Is trilinear filtering enabled? Default: false.
## Friends
class | SMaterial

## Detailed Description

Struct for holding material parameters which exist per texture layer.

Definition at line 48 of file SMaterialLayer.h.

## Constructor & Destructor Documentation

irr::video::SMaterialLayer::SMaterialLayer | ( |  | ) | `[inline]`

Default constructor.

Definition at line 52 of file SMaterialLayer.h.

irr::video::SMaterialLayer::SMaterialLayer | ( | const SMaterialLayer & | other | ) | `[inline]`

Copy constructor.

Parameters:

  | other | Material layer to copy from.

Definition at line 65 of file SMaterialLayer.h.

irr::video::SMaterialLayer::~SMaterialLayer | ( |  | ) | `[inline]`

Destructor.

Definition at line 73 of file SMaterialLayer.h.

References irr::core::irrAllocator< T >::deallocate(), and irr::core::irrAllocator< T >::destruct().

## Member Function Documentation

const core::matrix4& irr::video::SMaterialLayer::getTextureMatrix | ( |  | ) | const`[inline]`

Gets the immutable texture transformation matrix.

Returns:
  Texture matrix of this layer.

Definition at line 134 of file SMaterialLayer.h.

References irr::core::IdentityMatrix.

core::matrix4& irr::video::SMaterialLayer::getTextureMatrix | ( |  | ) | `[inline]`

Gets the texture transformation matrix.

Returns:
  Texture matrix of this layer.

Definition at line 122 of file SMaterialLayer.h.

References irr::core::irrAllocator< T >::allocate(), irr::core::irrAllocator< T >::construct(), and irr::core::IdentityMatrix.

Referenced by irr::video::SMaterial::getTextureMatrix().

bool irr::video::SMaterialLayer::operator!= | ( | const SMaterialLayer & | b | ) | const`[inline]`

Inequality operator.

Parameters:

  | b | Layer to compare to.

Returns:
  True if layers are different, else false.

Definition at line 158 of file SMaterialLayer.h.

References AnisotropicFilter, BilinearFilter, LODBias, Texture, TextureWrapU, TextureWrapV, and TrilinearFilter.

SMaterialLayer& irr::video::SMaterialLayer::operator= | ( | const SMaterialLayer & | other | ) | `[inline]`

Assignment operator.

Parameters:

  | other | Material layer to copy from.

Returns:
  This material layer, updated.

Definition at line 82 of file SMaterialLayer.h.

References irr::core::irrAllocator< T >::allocate(), AnisotropicFilter, BilinearFilter, irr::core::irrAllocator< T >::construct(), irr::core::irrAllocator< T >::deallocate(), irr::core::irrAllocator< T >::destruct(), LODBias, Texture, TextureWrapU, TextureWrapV, and TrilinearFilter.

bool irr::video::SMaterialLayer::operator== | ( | const SMaterialLayer & | b | ) | const`[inline]`

Equality operator.

Parameters:

  | b | Layer to compare to.

Returns:
  True if layers are equal, else false.

Definition at line 180 of file SMaterialLayer.h.

void irr::video::SMaterialLayer::setTextureMatrix | ( | const core::matrix4 & | mat | ) | `[inline]`

Sets the texture transformation matrix to mat.

Parameters:

  | mat | New texture matrix for this layer.

Definition at line 144 of file SMaterialLayer.h.

References irr::core::irrAllocator< T >::allocate(), and irr::core::irrAllocator< T >::construct().

Referenced by irr::video::SMaterial::setTextureMatrix().

## Friends And Related Function Documentation

friend class SMaterial`[friend]`

Definition at line 216 of file SMaterialLayer.h.

## Member Data Documentation

u8 irr::video::SMaterialLayer::AnisotropicFilter

Is anisotropic filtering enabled? Default: 0, disabled.

In Irrlicht you can use anisotropic texture filtering in conjunction with bilinear or trilinear texture filtering to improve rendering results. Primitives will look less blurry with this flag switched on. The number gives the maximal anisotropy degree, and is often in the range 2-16. Value 1 is equivalent to 0, but should be avoided.

Definition at line 206 of file SMaterialLayer.h.

Referenced by irr::video::SOverrideMaterial::apply(), irr::video::SMaterial::getFlag(), operator!=(), and operator=().

bool irr::video::SMaterialLayer::BilinearFilter

Is bilinear filtering enabled? Default: true.

Definition at line 192 of file SMaterialLayer.h.

Referenced by irr::video::SOverrideMaterial::apply(), irr::video::SMaterial::getFlag(), operator!=(), and operator=().

s8 irr::video::SMaterialLayer::LODBias

Bias for the mipmap choosing decision.

This value can make the textures more or less blurry than with the default value of 0. The value (divided by 8.f) is added to the mipmap level chosen initially, and thus takes a smaller mipmap for a region if the value is positive.

Definition at line 213 of file SMaterialLayer.h.

Referenced by operator!=(), and operator=().

ITexture* irr::video::SMaterialLayer::Texture

Texture.

Definition at line 184 of file SMaterialLayer.h.

Referenced by irr::video::SMaterial::getTexture(), operator!=(), operator=(), and irr::video::SMaterial::setTexture().

u8 irr::video::SMaterialLayer::TextureWrapU

Texture Clamp Mode.

Values are tkane from E_TEXTURE_CLAMP.

Definition at line 188 of file SMaterialLayer.h.

Referenced by irr::video::SOverrideMaterial::apply(), irr::video::SMaterial::getFlag(), operator!=(), operator=(), and irr::video::SMaterial::setFlag().

u8 irr::video::SMaterialLayer::TextureWrapV

Definition at line 189 of file SMaterialLayer.h.

Referenced by irr::video::SOverrideMaterial::apply(), irr::video::SMaterial::getFlag(), operator!=(), operator=(), and irr::video::SMaterial::setFlag().

bool irr::video::SMaterialLayer::TrilinearFilter

Is trilinear filtering enabled? Default: false.

If the trilinear filter flag is enabled, the bilinear filtering flag is ignored.

Definition at line 197 of file SMaterialLayer.h.

Referenced by irr::video::SOverrideMaterial::apply(), irr::video::SMaterial::getFlag(), operator!=(), and operator=().

The documentation for this class was generated from the following file:

- SMaterialLayer.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:10 2010 by Doxygen (1.6.2)